// pages/contest/ranking/ranking.js
import {
  answer
} from '../../../api/api.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    first: {},
    second: {},
    third: {},
    dataList: [],
    statusBar: 0,
    user: wx.getStorageSync('user') || {},
    helpState: false
  },

  clickHelp () {
    this.setData({
      helpState: true
    })
  },

  closeShow () {
    this.setData({
      helpState: false
    })
  },

  getRankingList (type) {
    answer.getLeaderBoard({reqdata: {
      type
    }},r => {
      this.setData({
        dataList: r.list,
        page: type
      })
    })
  },
  
  togglePage(e) {
    this.getRankingList(e.currentTarget.dataset.index-0)
  },

  goHome (e) {
    wx.reLaunch({
      url: '/pages/home/home',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getRankingList(this.data.page)

    wx.getSystemInfo({
      success: e => {
        // this.globalData.statusBar = e.statusBarHeight; //状态栏高度
        this.setData({
          statusBar: e.statusBarHeight + 13
        })
        // let custom = wx.getMenuButtonBoundingClientRect();//菜单按钮
        // this.globalData.custom = custom;
        // this.globalData.customBar = custom.bottom + custom.top - e.statusBarHeight;
        // //计算得到定义的状态栏高度
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})